### Constructor

# Gtk InfoBar new_with_buttons

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_info_bar_new_with_buttons (
      const char* first_button_text,
      ...
    )

#### Description [src]

Creates a new `GtkInfoBar` with buttons.

Button text/response ID pairs should be listed, with a `NULL` pointer ending the list. A response ID can be any positive number, or one of the values in the `GtkResponseType` enumeration. If the user clicks one of these dialog buttons, GtkInfoBar will emit the `GtkInfoBar::response` signal with the corresponding response ID.

Deprecated since: 4.10

Please do not use it in newly written code.

This constructor is not directly available to language bindings.

#### Parameters

`first_button_text`

  Type: `const char*`

  Ext to go in first button.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Response ID for first button, then additional buttons, ending with `NULL`.

#### Return value

Type: `GtkWidget`

A new `GtkInfoBar`.

The data is owned by the called function.